﻿
using HeuristicLab.Problems.RoutePlanning.Data.Core;
using HeuristicLab.Problems.RoutePlanning.RoutingGraph;
namespace HeuristicLab.Problems.RoutePlanning.Interfaces {
  public interface ICostCalculator {
    float Costs(Edge<Vertex> edge);
    float CalculateCosts(Vertex source, Vertex destination, HighwayType category);
    float EstimatedCosts(Vertex source, Vertex destination);
  }
}
